## gimppixelfetcher gimppixelfetcher |

## Functions

GimpPixelFetcher * | gimp_pixel_fetcher_new ()
void | gimp_pixel_fetcher_set_edge_mode ()
void | gimp_pixel_fetcher_set_bg_color ()
void | gimp_pixel_fetcher_get_pixel ()
void | gimp_pixel_fetcher_put_pixel ()
void | gimp_pixel_fetcher_destroy ()

## Types and Values

enum | GimpPixelFetcherEdgeMode
| GimpPixelFetcher

## Description

## Functions

### gimp_pixel_fetcher_new ()

    GimpPixelFetcher *
    gimp_pixel_fetcher_new (GimpDrawable *drawable,
                            gboolean shadow);

### gimp_pixel_fetcher_set_edge_mode ()

    void
    gimp_pixel_fetcher_set_edge_mode (GimpPixelFetcher *pf,
                                      GimpPixelFetcherEdgeMode mode);

### gimp_pixel_fetcher_set_bg_color ()

    void
    gimp_pixel_fetcher_set_bg_color (GimpPixelFetcher *pf,
                                     const GimpRGB *color);

### gimp_pixel_fetcher_get_pixel ()

    void
    gimp_pixel_fetcher_get_pixel (GimpPixelFetcher *pf,
                                  gint x,
                                  gint y,
                                  guchar *pixel);

### gimp_pixel_fetcher_put_pixel ()

    void
    gimp_pixel_fetcher_put_pixel (GimpPixelFetcher *pf,
                                  gint x,
                                  gint y,
                                  const guchar *pixel);

### gimp_pixel_fetcher_destroy ()

    void
    gimp_pixel_fetcher_destroy (GimpPixelFetcher *pf);

## Types and Values

### enum GimpPixelFetcherEdgeMode

#### Members

GIMP_PIXEL_FETCHER_EDGE_NONE |  |
GIMP_PIXEL_FETCHER_EDGE_WRAP |  |
GIMP_PIXEL_FETCHER_EDGE_SMEAR |  |
GIMP_PIXEL_FETCHER_EDGE_BLACK |  |
GIMP_PIXEL_FETCHER_EDGE_BACKGROUND |  |

### GimpPixelFetcher

    typedef struct _GimpPixelFetcher GimpPixelFetcher;